%define debug_package %{nil}

Name:           ukui-session-manager
Version:        3.0.6
Release:        4
Summary:        Session manager of the UKUI desktop environment
License:        LGPL-2.0-or-later and GPL-2.0-or-later
URL:            http://www.ukui.org
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  cmake,libXtst-devel,libX11-devel,xdg-user-dirs,kf5-kidletime-devel,qt5-qtx11extras-devel,qt5-qtbase-devel,systemd-devel,qt5-qttools-devel,qt5-qtmultimedia-devel,gsettings-qt-devel,pkgconf
Requires: ukui-themes
Requires: glib2
Requires: qt5-qtmultimedia

Recommends: peony
Recommends: ukui-panel
Recommends: ukui-polkit
Recommends: ukui-screensaver
Recommends: ukui-settings-daemon

Provides: x-session-manager


%description
 This package contains a session that can be started from a display
 manager such as lightdm. It will load all necessary applications for
 a full-featured user session.
 This package contain the session manager component.

%prep
%setup -q

%build
mkdir cmake-build
pushd cmake-build
%cmake3 ..
%{make_build}
popd

%install
pushd cmake-build
%make_install INSTALL_ROOT=%{buildroot}
popd
#mkdir -p %{buildroot}/etc/X11/Xsession.d/    %{buildroot}/usr/share/man/man1/
#install -m644  debian/99ukui-environment %{buildroot}/etc/X11/Xsession.d/99ukui-environment
install -d   %{buildroot}/usr/share/man/man1/ %{buildroot}/etc/polkit-1/localauthority/50-local.d/
install -m644 data/com.ubuntu.enable-hibernate.pkla %{buildroot}/etc/polkit-1/localauthority/50-local.d/com.ubuntu.enable-hibernate.pkla
gzip -c man/ukui-session.1 >  %{buildroot}/usr/share/man/man1/ukui-session.1.gz
gzip -c man/ukui-session-tools.1 > %{buildroot}/usr/share/man/man1/ukui-session-tools.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc debian/changelog debian/copyright
#%%{_sysconfdir}/X11/Xsession.d/99ukui-environment
%{_sysconfdir}/polkit-1/localauthority/50-local.d/com.ubuntu.enable-hibernate.pkla
%{_datadir}/*
%{_prefix}/bin/ukui-session
%{_prefix}/bin/ukui-session-tools
#%%{_datadir}/man/man1/ukui-session.1.gz
#%%{_datadir}/man/man1/ukui-session-tools.1.gz

%changelog
* Fri Jun 17 2022 peijiankang <peijiankang@kylinos.cn> - 3.0.6-4
- remove 0001-modify-ukui-volume-control-applet-satrtup.patch

* Thu Jun 16 2022 peijiankang <peijiankang@kylinos.cn> - 3.0.6-3
- modify ukui-volume-control-applet satrtup

* Fri Mar 11 2022 douyan <douyan@kylinos.cn> - 3.0.6-2
- remove Requires ukwm

* Mon Oct 26 2020 huayadong <huayadong@kylinos.cn> - 3.0.6-1
- update to upstream version 3.0.6-1

* Thu Dec 3 2020 lvhan <lvhan@kylinos.cn> - 3.0.2-2
- fix poweroff

* Mon Oct 26 2020 douyan <douyan@kylinos.cn> - 3.0.2-1
- update to upstream version 3.0.1

* Thu Jul 9 2020 douyan <douyan@kylinos.cn> - 2.0.2-1
- Init package for openEuler
